rb_cpudist.d(1m)

NAME
rb_cpudist.d - measure Ruby on-CPU times for types of operation.

SYNOPSIS
rb_cpudist.d

DESCRIPTION
This traces Ruby activity from all programs running on the system with Ruby provider support. This script prints distribution plots of elapsed time for Ruby operations. Use rb_cputime.d for summary reports. Filename and method names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Ruby provider, which may change as additional features are introduced. Check Ruby/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # rb_cpudist.d

FIELDS

1   Filename of the Ruby program

2   Type of call (method/obj-new/gc)

3   Name of call

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
rb_cpudist.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)